#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using HeuristicLab.Core;
using HeuristicLab.Persistence;

namespace HeuristicLab.Optimization {
  [StorableType("be43ab46-35b1-4ea6-bb2f-3f21d9454646")]
  public interface IResultParameter : ILookupParameter {
    string ResultCollectionName { get; set; }
    event EventHandler ResultCollectionNameChanged;
  }

  [StorableType("9bb891a8-a153-42c0-a21c-f3a8cf5af390")]
  public interface IResultParameter<T> : ILookupParameter<T>, IResultParameter where T : class, IItem {
    T DefaultValue { get; set; }
    event EventHandler DefaultValueChanged;
  }
}
